beamName {oce} | R Documentation

## Get names of Acoustic-Doppler Beams

### Description

Get names of Acoustic-Doppler Beams

### Usage

    beamName(x, which)

### Arguments

`x` | An `adp` object, i.e. one inheriting from `adp-class`.
`which` | an integer indicating beam number.

### Value

A character string containing a reasonable name for the beam, of the form `"beam 1"`, etc., for beam coordinates, `"east"`, etc. for enu coordinates, `"u"`, etc. for `"xyz"`, or `"u'"`, etc., for `"other"` coordinates. The coordinate system is determined with `x[["coordinate"]]`.

### Author(s)

Dan Kelley

### See Also

This is used by `read.oce`.

Other things related to `adp` data: `[[,adp-method`, `[[<-,adp-method`, `adp-class`, `adpEnsembleAverage`, `adp`, `as.adp`, `beamToXyzAdp`, `beamToXyzAdv`, `beamToXyz`, `beamUnspreadAdp`, `binmapAdp`, `enuToOtherAdp`, `enuToOther`, `plot,adp-method`, `read.ad2cp`, `read.adp.nortek`, `read.adp.rdi`, `read.adp.sontek.serial`, `read.adp.sontek`, `read.adp`, `read.aquadoppHR`, `read.aquadoppProfiler`, `read.aquadopp`, `subset,adp-method`, `summary,adp-method`, `toEnuAdp`, `toEnu`, `velocityStatistics`, `xyzToEnuAdp`, `xyzToEnu`

Other things related to `adv` data: `[[,adv-method`, `[[<-,adv-method`, `adv-class`, `adv`, `beamToXyz`, `enuToOtherAdv`, `enuToOther`, `plot,adv-method`, `read.adv.nortek`, `read.adv.sontek.adr`, `read.adv.sontek.serial`, `read.adv.sontek.text`, `read.adv`, `subset,adv-method`, `summary,adv-method`, `toEnuAdv`, `toEnu`, `velocityStatistics`, `xyzToEnuAdv`, `xyzToEnu`

[Package oce version 0.9-22 Index]